Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gnome 2.18
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
Big Boss
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2006
Posts: 88

PostPosted: Thu Apr 19, 2007 2:40 pm    Post subject: Gnome 2.18 Reply with quote

Ciao a tutti, mi piacerebbe installare i pacchetti mascherati di gnome 2.18.

Qualcuno ha una guida sull'installazione di gnome 2.18 su gentoo e sui pacchetti da smascherare?

Grazie a tutti, premetto che ho già cercato con la ricerca in questo forum e non ho trovato niente.
Back to top
View user's profile Send private message
crisandbea
Veteran
Veteran


Joined: 03 Jul 2005
Posts: 1778
Location: BOSCO (SA) ... ma domiciliato a Bologna....

PostPosted: Thu Apr 19, 2007 2:50 pm    Post subject: Re: Gnome 2.18 Reply with quote

Big Boss wrote:
Ciao a tutti, mi piacerebbe installare i pacchetti mascherati di gnome 2.18.

Qualcuno ha una guida sull'installazione di gnome 2.18 su gentoo e sui pacchetti da smascherare?

Grazie a tutti, premetto che ho già cercato con la ricerca in questo forum e non ho trovato niente.


per lo smascheramento dei pacchetti vedi qua;

per sapere quali leggi qua
Back to top
View user's profile Send private message
Big Boss
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2006
Posts: 88

PostPosted: Thu Apr 19, 2007 3:01 pm    Post subject: Reply with quote

grazie mille :D mi metto all'opera e poi vi dico il risultato.
Ho installato una nuova gentoo 'di test' appositamente senza gnome e xorg, ho installato xorg 7.1 tutto liscio tranne un piccolissimo incidente riguardante un symlink che ho risolto, adesso mi cimento con il nuovo gnome :D
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Thu Apr 19, 2007 3:01 pm    Post subject: Reply with quote

adesso c'è già un'ebuild per gnome-2.18 che comprende tutte le dipendenze richieste. smaschera quello e poi a cascata tutti gli altri. oppure ti copi il contenuto dell'ebuild nei vari package.keywords e unmask
Back to top
View user's profile Send private message
Big Boss
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2006
Posts: 88

PostPosted: Thu Apr 19, 2007 3:46 pm    Post subject: Reply with quote

Quote:
adesso c'è già un'ebuild per gnome-2.18 che comprende tutte le dipendenze richieste. smaschera quello e poi a cascata tutti gli altri. oppure ti copi il contenuto dell'ebuild nei vari package.keywords e unmask


E come si fa??? non l'ho mai fatto... e dove prendo l'ebuild?

Quote:
Big Boss ha scritto:
Ciao a tutti, mi piacerebbe installare i pacchetti mascherati di gnome 2.18.

Qualcuno ha una guida sull'installazione di gnome 2.18 su gentoo e sui pacchetti da smascherare?

Grazie a tutti, premetto che ho già cercato con la ricerca in questo forum e non ho trovato niente.


per lo smascheramento dei pacchetti vedi qua;

per sapere quali leggi qua


Ho copiato i pacchetti da smascherare nel file package.unmask che non c'era e che ho creato io, tutto ok tranne un pacchetto che non ricordo quale mi da 'invalid atom'.

Il problema ora è che nonostante abbia smascherato i pacchetti risultano ancora mascherati, e non riesco a installarli.

Ho provato a vedere con eix e gnome-desktop-2.18 risulta mascherato.

con emerge --search gnome-desktop mi da la versione 2.16 disponibile

Non ho fatto etc-update devo farlo?

Help me, grazie a tutti
Back to top
View user's profile Send private message
CarloJekko
Veteran
Veteran


Joined: 31 Mar 2005
Posts: 1315
Location: Baia Domizia :-)

PostPosted: Thu Apr 19, 2007 3:57 pm    Post subject: Reply with quote

che pacchetti hai inserito nel keywords? e nel mask? postalo qui.
Altra cosa, nella catrella /usr/portage ci sono tutti gli ebuilds... nel tuo caso lo devi trovare in /usr/portage/gnome-base/gnome-desktop/... se non lo trovi, prova a syncare...
byez :wink:
_________________
C.
Back to top
View user's profile Send private message
Big Boss
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2006
Posts: 88

PostPosted: Thu Apr 19, 2007 4:54 pm    Post subject: Reply with quote

Quote:
che pacchetti hai inserito nel keywords?

ah allora devo creare anhe il .keywords che non c'è

per i pacchetti ho inserito tutti quelli che sono qui http://gentoo-portage.com/AJAX/Ebuild/44204/View
Back to top
View user's profile Send private message
starise
Apprentice
Apprentice


Joined: 09 Oct 2004
Posts: 211
Location: Napoli

PostPosted: Thu Apr 19, 2007 9:18 pm    Post subject: Reply with quote

Ma quando verrà resa stabile da gentoo la 2.18? si sa niente?
_________________
Notebook: Dell XPS M1330, Core 2 Duo 2GHz, 2 GB DDR2, HD 200GB 7200rpm, GeForce 8400M - powered by Gentoo
Website: AndreaBrandi.Com
Back to top
View user's profile Send private message
comio
Advocate
Advocate


Joined: 03 Jul 2003
Posts: 2191
Location: Taranto

PostPosted: Thu Apr 19, 2007 9:31 pm    Post subject: Reply with quote

starise wrote:
Ma quando verrà resa stabile da gentoo la 2.18? si sa niente?


quando verranno risolti tutti i problemi :)

ciao

luigi
_________________
RTFM!!!!

e

http://www.comio.it
:)
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Thu Apr 19, 2007 10:06 pm    Post subject: Reply with quote

starise wrote:
Ma quando verrà resa stabile da gentoo la 2.18? si sa niente?

Di solito su bugs.gentoo.org viene aperto un bug tracker apposta per tenere traccia dei vari problemi di questi metapacchetti. Basta controllarlo periodicamente e, quando ci si sente abbastanza sicuri, tuffarcisi dentro :wink:

Byez
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
mrfree
Veteran
Veteran


Joined: 15 Mar 2003
Posts: 1303
Location: Europe.Italy.Sulmona

PostPosted: Fri Apr 20, 2007 7:46 am    Post subject: Reply with quote

starise wrote:
Ma quando verrà resa stabile da gentoo la 2.18? si sa niente?
Se non ricordo male gentoo_stable - rilascio_stable_upstream >= 30 gg anche se empiricamente si trasforma in un bel >> 30 gg :)
_________________
Please EU, pimp my country!

ICE: /etc/init.d/iptables panic
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Fri Apr 20, 2007 9:35 am    Post subject: Reply with quote

Big Boss wrote:
Ho provato a vedere con eix e gnome-desktop-2.18 risulta mascherato.

con emerge --search gnome-desktop mi da la versione 2.16 disponibile

Il metapacchetto si chiama gnome (o gnome-light), gnome-desktop e` una sua dipendenza.
Back to top
View user's profile Send private message
BlackBelt
Guru
Guru


Joined: 27 Nov 2004
Posts: 369
Location: Messina/Pisa

PostPosted: Fri Apr 20, 2007 1:14 pm    Post subject: Reply with quote

riverdragon wrote:
Big Boss wrote:
Ho provato a vedere con eix e gnome-desktop-2.18 risulta mascherato.

con emerge --search gnome-desktop mi da la versione 2.16 disponibile

Il metapacchetto si chiama gnome (o gnome-light), gnome-desktop e` una sua dipendenza.


gnome-light è alla versione 2.16 in portage.. cosa si deve fare per avere la 2.18?
thanks
_________________
"Sulla strada per l'inferno c'e' sempre un sacco di gente,
ma è comunque una via che si percorre in solitudine."

Charles Bukowski
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Fri Apr 20, 2007 1:44 pm    Post subject: Reply with quote

smascherare i corrispettivi ebuild che trovi all'interno del metapacchetto e fare l'aggiornamento.
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Fri Apr 20, 2007 2:05 pm    Post subject: Reply with quote

BlackBelt wrote:
gnome-light è alla versione 2.16 in portage.. cosa si deve fare per avere la 2.18?
Aspettare, purtroppo, se non usi il sistema di ic3m4n. Io aspetto, impazientemente ma aspetto.
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Mon Jun 11, 2007 4:46 pm    Post subject: Reply with quote

Oggi mi sono accorto che gnome è stato (finalmente) tolto dai pacchetti mascherati. Adesso è "solamente" in testing (~). C'è qualcuno che ha delle impressioni d'uso da condividere con noi "vili" che stiamo ancora sul 16? :lol:

Ho un certo pruritino alle mani...
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Mon Jun 11, 2007 5:33 pm    Post subject: Reply with quote

...io l'ho smascherato ieri sera. Un po' di santi evocati, ma poi è partito tutto. Che dire... non noto alcuna differenza sostanziale.
Back to top
View user's profile Send private message
Ic3M4n
Advocate
Advocate


Joined: 02 Nov 2004
Posts: 3489
Location: Bergamo.

PostPosted: Mon Jun 11, 2007 7:13 pm    Post subject: Reply with quote

quiabbiamo già parlato un po' in merito a gnome 2.18, non posso far altro che dire quanto è stato già detto. Il grosso del lavoro attualmente è dietro le quinte. I programmi ci sono, funzionano abbastanza bene, si tratta di velocizzare il tutto, correggere i bug e poco altro. Da notare anche che le release di gnome sono a tempo, quindi ogni 6 mesi c'è un nuovo gnome che viene rilasciato. stessa cosa vale anche per l'ambiente grafico. ogni 6 mesi c'è una nuova release di X.
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Tue Jun 12, 2007 8:48 am    Post subject: Reply with quote

Certo, certo, rimango comunque un utente gnome soddisfatto, ma le migliorie "sotto il cofano" sono comunque difficili da notare.

Due cose che ho notato in negativo, e sono segnate anche nelle note per l'upgrade, sono l'incapacità dell'icona di gnome-power-manager di mostrarsi quando serve (ho dovuto abilitare l'applet vecchio stile) e la rimozione del backend di xine per totem: stavo quasi pensando di rimuovere qualche player multimediale grazie all'ottimo funzionameto di totem, ma a questo punto sono costretto a ripensarci.
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Tue Jun 12, 2007 9:00 am    Post subject: Reply with quote

riverdragon wrote:
e la rimozione del backend di xine per totem

è l'unica cosa che (per il momento) mi ha fatto desistere. Già mi rompe avere sia xine-lib+totem sia mplayer. Se poi mi devo installare pure (ad esempio) vlc o xine-ui per leggere i menu dei dvd...
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
wildancer
Guru
Guru


Joined: 02 Apr 2004
Posts: 472

PostPosted: Tue Jun 12, 2007 9:58 am    Post subject: Reply with quote

Hey scherziamo? nessnuno nota che tra i giochi è stato messo di default glchess?!? :P

Onip io infatti ho la situazione che dici tu, mplayer - xine - totem... Ma cel'ho da sempre, anzi toglierei totem in realtà... solo che levare totem da gnome non c'è verso (Come epiphany..) Xine fa tutto e vede tutto, non servirebbe nemmeno mplayer se non fosse per il plugin nel browser e il fatto che lo vedo anche in FB!
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Tue Jun 12, 2007 10:35 am    Post subject: Reply with quote

se è per quello io ho gnome light, quindi totem lo posso togliere quando e come voglio. Il problema è che se uso gnome vorrei che il suo player bastasse a fare tutto; che cavolo... :evil:
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
mouser
Veteran
Veteran


Joined: 10 Aug 2004
Posts: 1419
Location: Milano

PostPosted: Tue Jun 12, 2007 10:41 am    Post subject: Reply with quote

Giusto per iper completezza.

Io ho installato in questo modo:

Aggiunte in package.unmask
Code:
gnome-base/gnome
gnome-extra/evolution-data-server
gnome-base/gnome-session
gnome-base/gnome-common
gnome-base/orbit
gnome-base/gnome-mime-data
gnome-base/libbonobo
gnome-base/gconf
gnome-base/libglade-2.stscript
gnome-base/gail
gnome-base/gnome-vfs
gnome-base/libgnome
gnome-base/gnome-menus
gnome-extra/libgsf
gnome-base/libbonoboui
gnome-base/librsvg
gnome-base/libgnomeui
gnome-base/gnome-desktop
x11-terms/gnome-terminal
gnome-base/gnome-mount
gnome-base/gnome-panel
gnome-extra/yelp
gnome-base/nautilus
gnome-base/control-center
x11-themes/gnome-icon-theme
dev-libs/atk
sys-apps/hal
x11-libs/pango
gnome-base/libgnomekbd
app-text/gnome-doc-utils
x11-libs/vte
x11-wm/metacity
x11-themes/gnome-themes
net-dns/avahi
gnome-base/eel
gnome-base/gnome-volume-manager
x11-themes/gtk-engines
gnome-base/gdm


ed aggiunte in package.keywords
Code:
gnome-base/gnome ~x86
gnome-extra/evolution-data-server ~x86
gnome-base/gnome-session ~x86
gnome-base/gnome-common ~x86
gnome-base/orbit ~x86
gnome-base/gnome-mime-data ~x86
gnome-base/libbonobo ~x86
gnome-base/gconf ~x86
gnome-base/libglade-2.stscript ~x86
gnome-base/gail ~x86
gnome-base/gnome-vfs ~x86
gnome-base/libgnome ~x86
gnome-base/gnome-menus ~x86
gnome-extra/libgsf ~x86
gnome-base/libbonoboui ~x86
gnome-base/librsvg ~x86
gnome-base/libgnomeui ~x86
gnome-base/gnome-desktop ~x86
x11-terms/gnome-terminal ~x86
gnome-base/gnome-mount ~x86
gnome-base/gnome-panel ~x86
gnome-extra/yelp ~x86
gnome-base/nautilus ~x86
gnome-base/control-center ~x86
x11-themes/gnome-icon-theme ~x86
dev-libs/atk ~x86
sys-apps/hal ~x86
app-misc/hal-info ~x86
x11-libs/pango ~x86
gnome-base/libgnomekbd ~x86
app-text/gnome-doc-utils ~x86
x11-libs/vte ~x86
x11-wm/metacity ~x86
x11-themes/gnome-themes ~x86
net-dns/avahi ~x86
gnome-base/eel ~x86
gnome-base/gnome-volume-manager ~x86
x11-themes/gtk-engines ~x86
gnome-base/gdm ~x86
sys-auth/consolekit ~x86


Dopodichè lancio un bellissimo
Code:
# emerge -av hal gnome-light gnome-screensaver gdm gnome-volume-manager


Poi le altre applicazioni vengono man mano :D

Premetto che uso Gnome 2.18 su tutti i miei sistemi oramai da un paio di mesetti (mi sembra) e non ho ancora riscontrato problematiche rilevanti 8)

Ciriciao
mouser :wink:
Back to top
View user's profile Send private message
RollsAppleTree
Guru
Guru


Joined: 18 Feb 2005
Posts: 340
Location: Sicilia - Catania

PostPosted: Tue Jun 12, 2007 1:11 pm    Post subject: Reply with quote

io vorrei installare Gnome-2.18, ma non voglio smascherare i pacchetti in maniera "generale", vorrei farlo in maniera tale che si smascheri solamente gnome-2.18.
Se no appena esce un altro gnome, magari ancora buggatissimo, automaticamente me lo installerà ...
Lo so come si fa, ma mi secca (a dire il vero non ne ho il tempo) dover fare tutto a mano ...

Non è che avreste la lista dei pacchetti con annesso numero di versione, nella forma
Code:
=<nome-pacchetto>-<#versione>
???
Grazie anticipatamente!
_________________
RollsAppleTree BLOG !!!
Documentazione in Italiano su Gentoo
F.A.Q. in Italiano su Gentoo
Back to top
View user's profile Send private message
unarana
Tux's lil' helper
Tux's lil' helper


Joined: 05 Mar 2004
Posts: 120
Location: Erice (TP) Italy

PostPosted: Tue Jun 12, 2007 2:49 pm    Post subject: Reply with quote

Come si fa a dire di no ad un corregionale :lol:

Code:
###########~ GNOME 2.18 ~###########
=gnome-base/gnome-2.18.0
=gnome-extra/evolution-data-server-1.10.1-r2
=gnome-base/gnome-session-2.18.0
=gnome-base/gnome-mime-data-2.18.0
=gnome-base/libbonobo-2.18.0
=gnome-base/gconf-2.18.0.1
=gnome-base/gail-1.18.0
=gnome-base/gnome-menus-2.18.0
=dev-libs/atk-1.18.0
=sys-apps/hal-0.5.9-r1
=x11-libs/pango-1.16.3
=app-text/gnome-doc-utils-0.10.3
=x11-libs/vte-0.16.5
=x11-wm/metacity-2.18.2
=x11-themes/gnome-themes-2.18.1
=x11-themes/gtk-engines-2.10.1
=www-client/epiphany-2.18.1
=net-analyzer/gnome-nettool-2.18.0
=x11-libs/libwnck-2.18.0
=gnome-extra/deskbar-applet-2.18.1
=gnome-extra/gnome-games-2.18.1
=dev-python/gnome-python-desktop-2.18.0
=app-arch/file-roller-2.18.0
=gnome-extra/gcalctool-5.9.14
=app-text/evince-0.8.1
=gnome-extra/gucharmap-1.10.0
=gnome-extra/fast-user-switch-applet-2.18.0
=gnome-extra/zenity-2.18.1
=gnome-extra/gnome-screensaver-2.18.1
=gnome-extra/evolution-webcal-2.10.0
=gnome-extra/gnome-keyring-manager-2.18.0
=gnome-base/libgnomeprint-2.18.0
=gnome-extra/gconf-editor-2.18.0
=gnome-extra/gtkhtml-3.14.1
=gnome-base/libgnomeprintui-2.18.0
=gnome-extra/bug-buddy-2.18.1
=media-sound/esound-0.2.38
=gnome-base/gnome-applets-2.18.0-r1
=app-editors/gedit-2.18.1
=gnome-extra/gnome-power-manager-2.18.2
=gnome-extra/gnome-media-2.18.0
=x11-misc/alacarte-0.11.3-r1
=net-misc/vino-2.18.1
=mail-client/evolution-2.10.1
=gnome-extra/nautilus-cd-burner-2.18.1
=media-gfx/eog-2.18.1
=media-video/totem-2.18.1-r1
=gnome-base/gnome-keyring-0.8.1
=app-admin/sabayon-2.18.1
=dev-libs/libIDL-0.8.8
=gnome-extra/gnome-utils-2.18.1
=media-sound/esound-0.2.38
=media-plugins/gst-plugins-pango-0.10.11
=media-libs/gst-plugins-ugly-0.10.3
=media-plugins/gst-plugins-dvdread-0.10.4
=media-plugins/gst-plugins-ffmpeg-0.10.1-r1
=media-plugins/gst-plugins-theora-0.10.11
=media-plugins/gst-plugins-xvideo-0.10.11
=media-plugins/gst-plugins-a52dec-0.10.3
=media-plugins/gst-plugins-mpeg2dec-0.10.3
=11-libs/gtkglext-1.2.0
=app-misc/hal-info-20070425
=gnome-base/gnome-volume-manager-2.17.0
=gnome-base/eel-2.18.0.1
=gnome-base/libbonoboui-2.18.0
=gnome-base/gnome-panel-2.18.1
=gnome-extra/yelp-2.18.1
=gnome-base/libgnome-2.18.0
=x11-themes/gnome-icon-theme-2.18.0
=gnome-base/libgnomekbd-2.18.1
=gnome-base/libgnomeui-2.18.1
=gnome-base/gnome-vfs-2.18.1
=gnome-base/gnome-desktop-2.18.1
=gnome-base/nautilus-2.18.1
=gnome-base/gdm-2.18.1
=sys-auth/consolekit-0.2.1
=x11-terms/gnome-terminal-2.18.0
=gnome-base/control-center-2.18.1
##############~ Fine GNOME 2.18 ~#################


Premetto che questa è quella che uso io per l'aggiornamento e che potrebbe contenere software superfluo per alcuni

Ciao :mrgreen:
_________________
In personal conversations with technical people, I call myself a hacker. But when I'm talking to journalists I just say "programmer" or something like that.
Linus Torvalds
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum